North Pittsburgh Meatpackers

    @tradeshift/elements.list-item
    TypeScript icon, indicating that this package has built-in type declarations

    0.40.2 • Public • Published

    Tradeshift

    Elements - list-item

    Part of the reusable Tradeshift UI Components as Web Components. Demo

    NPM Version Downloads per month

    <style> table { width:100%; } </style>

    ➤ Properties

    Property Attribute Type Default Description
    title title String
    subtitle subtitle String
    disabled disabled Boolean false
    selectable selectable Boolean false
    selected selected Boolean false
    dir dir String ltr
    icon icon String
    iconLeft icon-left String
    iconRight icon-right String
    iconSelected icon-selected String 'checkmark'
    noWrap no-wrap Boolean false

    ➤ Slots

    Name Description
    icon-left In case you don't want to use "ts-icon"s as left icon, you can use this slot. Remember to remove icon attribute.

    ➤ How to use it

    • Install the package of listItem
    $ npm i @tradeshift/elements.list-item --save
    • Import the component
    import '@tradeshift/elements.list-item';

    or

    <script src="node_modules/@tradeshift/elements.list-item/lib/list-item.umd.js"></script>
    • Use it like demo

    • Our components rely on having the Open Sans available, You can see the font-weight and font-style you need to load here, or you can just load it from our package (for now)

    <link rel="stylesheet" href="node_modules/@tradeshift/elements/src/fonts.css" />

    ➤ Polyfills

    For supporting IE11 you need to add couple of things

    • Don't shim CSS Custom Properties in IE11
    <!-- Place this in the <head>, before the Web Component polyfills are loaded -->
    <script>
    	if (!window.Promise) {
    		window.ShadyCSS = { nativeCss: true };
    	}
    </script>
    You have two options for polyfills library:
    1. Use @open-wc/polyfills-loader
    • Installation
    $ npm i @open-wc/polyfills-loader
    • Load it
    import loadPolyfills from '@open-wc/polyfills-loader';
    
    loadPolyfills().then(() => import('./my-app.js'));
    1. Use @webcomponents/webcomponentsjs
    • Installation
    $ npm i @webcomponents/webcomponentsjs --save
    
    • Enable ES5 class-less Custom Elements
    <script src="/node_modules/@webcomponents/webcomponentsjs/custom-elements-es5-adapter.js"></script>
    <script src="/node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js" defer></script>

    ➤ How to contribute

    Thanks for your interest and help!

    • First thing you need to do is read this [Component Checklist] which contains lots of important information about what you need to consider when you are creating/changing components
    General info

    You can find some links to useful materials about what we are using and some tutorials and articles that can help you get started.

    Polyfill Limitations

    You can see a list of limitations that we should watch out for, here

    ➤ License

    • You can always create forks on GitHub, submit Issues and Pull Requests.
    • You can only use Tradeshift Elements to make apps on a Tradeshift platform, e.g. tradeshift.com.
    • You can fix a bug until the bugfix is deployed by Tradeshift.
    • You can host Tradeshift Elements yourself.
    • If you want to make a bigger change or just want to talk with us, reach out to our team here on GitHub.

    You can read the full license agreement in the LICENSE.md.

    Keywords

    none

    Install

    npm i @tradeshift/elements.list-item

    DownloadsWeekly Downloads

    23

    Version

    0.40.2

    License

    none

    Unpacked Size

    35.4 kB

    Total Files

    7

    Last publish

    Collaborators

    • ngunder
    • tradeshift-larsbojensen
    • wejendorp
    • kian-esmailpour
    • tradeshift-ci
    • aleksandr.elkin
    • ehats
    • tradeshift-public